import 'package:intl/intl.dart';

class DateUtil {
  static DateTime toDate(String date) {
    return DateTime.parse(date);
  }

  static String format(DateTime date) {
    final f = new DateFormat('dd/MM/yyyy HH:mm');
    return f.format(date);
  }

  static String formatDateTime(String date) {
    final f = new DateFormat('dd/MM/yyyy HH:mm');
    DateTime dt = toDate(date);
    return f.format(dt);
  }

  static String formatDate(String date) {
    final f = new DateFormat('dd/MM/yyyy');
    DateTime dt = toDate(date);
    return f.format(dt);
  }

  static String formatDateMesAno(String date) {
    final f = new DateFormat('dd/MM');
    DateTime dt = toDate(date);
    return f.format(dt);
  }

  static String javaFormat(DateTime date) {
    final f = new DateFormat('yyyy-MM-ddTHH:mm');
    return f.format(date);
  }

  static String sqlDateFormat(String date) {
    final f = new DateFormat('yyyy-MM-dd');
    DateTime dt = toDate(date);
    return f.format(dt);
  }
}
